Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class VariableTypeInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.VariableTypeInfo

public final class VariableTypeInfo
extends InfoObject

Provides information about a variable type defined by a plugin.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `PluginVariableRenderer`, `PluginVariablePanel`, Serialized Form

Field Summary
`static int` | `KEY_PANEL` Key value to retrieve the `PluginVariablePanel` implementation class name.
`static int` | `KEY_RENDERER` Key value to retrieve the `PluginVariableRenderer` implementation class name.
`static int` | `TYPE_ENTITY` Describes a remote reference to an entity EJB.
`static int` | `TYPE_OBJECT` Describes a local Java object (as opposed to a remote object).
`static int` | `TYPE_SESSION` Describes a remote reference to a session EJB.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`VariableTypeInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, int variableType, java.lang.Class valueClass, java.lang.String[] classNames)` Create a new `VariableTypeInfo` object.

Method Summary
`java.lang.Class` | `getValueClass()` Return the Java class representing the allowed value type.
`int` | `getVariableType()` Return the type of this plugin-defined variable: `TYPE_OBJECT`, `TYPE_SESSION`, `TYPE_ENTITY`.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_RENDERER

    public static final int KEY_RENDERER

  Key value to retrieve the `PluginVariableRenderer` implementation class name.

### KEY_PANEL

    public static final int KEY_PANEL

  Key value to retrieve the `PluginVariablePanel` implementation class name.

### TYPE_OBJECT

    public static final int TYPE_OBJECT

  Describes a local Java object (as opposed to a remote object).

### TYPE_SESSION

    public static final int TYPE_SESSION

  Describes a remote reference to a session EJB.

### TYPE_ENTITY

    public static final int TYPE_ENTITY

  Describes a remote reference to an entity EJB.

Constructor Detail

### VariableTypeInfo

    public VariableTypeInfo(java.lang.String pluginName,
                            int ID,
                            java.lang.String name,
                            java.lang.String description,
                            int variableType,
                            java.lang.Class valueClass,
                            java.lang.String[] classNames)
                     throws WorkflowException

  Create a new `VariableTypeInfo` object.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this variable type.
    `ID` - The unique plugin-supplied identifier for this variable type.
    `name` - The localized name of this variable type.
    `description` - The localized description of this variable type.
    `variableType` - The type of this plugin-defined variable: `TYPE_OBJECT`, `TYPE_SESSION`, `TYPE_ENTITY`.
    `valueClass` - The fully qualified Java class of the allowed value type. The design-time and run-time environments constraint the values that can be assigned to instances of this variable type, using the normal rules for Java type-casting.
    `classNames` - A two-element array to identify plugin-supplied classes related to this object. The array contains one entry for each of the `KEY_*` values listed above. The value for each entry is the corresponding fully qualified Java class name.

Method Detail

### getValueClass

    public java.lang.Class getValueClass()

  Return the Java class representing the allowed value type.

  Returns:
    The allowed value class.

### getVariableType

    public int getVariableType()

  Return the type of this plugin-defined variable: `TYPE_OBJECT`, `TYPE_SESSION`, `TYPE_ENTITY`.

  Returns:
    The type of this plugin-defined variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)